Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rte.Constants.AbrFallbackLayer Enum Reference

The quality level for video stream fallback. More...

## Static Public Member Functions
static int | getValue (AbrFallbackLayer type)
static AbrFallbackLayer | fromInt (int v)

## Public Attributes
| DISABLED =(0)
| LOW =(1)
| AUDIO_ONLY =(2)
| LAYER1 =(3)
| LAYER2 =(4)
| LAYER3 =(5)
| LAYER4 =(6)
| LAYER5 =(7)
| LAYER6 =(8)

## Detailed Description

The quality level for video stream fallback.

Since
  v4.4.0

Note
  Notes:
  - To use `LAYER1` through `LAYER6`, you need to `contact technical support` to enable the ABR feature. Once enabled, you can customize the resolution for each level and select any level as the lowest resolution for video stream fallback. When the network condition is poor, the SDK uses this level as the lower bound and dynamically adjusts the resolution within this range based on network conditions.
  - When customizing resolutions, make sure to sort the video quality levels (Layer) in descending order by resolution. If resolutions are the same, sort them in descending order by frame rate.

## Member Data Documentation

## ◆ DISABLED

io.agora.rte.Constants.AbrFallbackLayer.DISABLED =(0)

0: Does not perform fallback processing on audio and video streams, but cannot guarantee the quality of the audio and video streams.

## ◆ LOW

io.agora.rte.Constants.AbrFallbackLayer.LOW =(1)

1: (Default) Falls back to the low-quality video stream. This layer has the lowest resolution.

## ◆ AUDIO_ONLY

io.agora.rte.Constants.AbrFallbackLayer.AUDIO_ONLY =(2)

2: First attempts to receive only the low-quality video stream; if the video cannot be displayed due to poor network conditions, then falls back to receiving only the subscribed remote audio stream.

## ◆ LAYER1

io.agora.rte.Constants.AbrFallbackLayer.LAYER1 =(3)

3: Falls back to video quality level 1. The resolution and bitrate of this level are only lower than those of the highest-quality video stream you subscribe to.

## ◆ LAYER2

io.agora.rte.Constants.AbrFallbackLayer.LAYER2 =(4)

4: Falls back to video quality level 2. The resolution of this level is only lower than that of level 1.

## ◆ LAYER3

io.agora.rte.Constants.AbrFallbackLayer.LAYER3 =(5)

5: Falls back to video quality level 3. This level has a resolution just lower than level 2.

## ◆ LAYER4

io.agora.rte.Constants.AbrFallbackLayer.LAYER4 =(6)

6: Fallback to video quality level 4. The resolution of this level is only lower than that of level 3.

## ◆ LAYER5

io.agora.rte.Constants.AbrFallbackLayer.LAYER5 =(7)

7: Falls back to video quality level 5. This level has a resolution just lower than level 4.

## ◆ LAYER6

io.agora.rte.Constants.AbrFallbackLayer.LAYER6 =(8)

8: Falls back to video quality level 6. This level has a resolution just lower than level 5.